curl --request POST \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
147286063579104,
147286063579108
],
"selectedMonth": [
"Oct 2023",
"Sep 2023",
"Nov 2023"
],
"limit": 25,
"startIndex": 0,
"selectedkeywords": [
"prom"
],
"sortby": "frequency",
"order": "desc",
"keywordsSearch": "prom dresses"
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords"
payload = {
"businessNumbers": [147286063579104, 147286063579108],
"selectedMonth": ["Oct 2023", "Sep 2023", "Nov 2023"],
"limit": 25,
"startIndex": 0,
"selectedkeywords": ["prom"],
"sortby": "frequency",
"order": "desc",
"keywordsSearch": "prom dresses"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [147286063579104, 147286063579108],
selectedMonth: ['Oct 2023', 'Sep 2023', 'Nov 2023'],
limit: 25,
startIndex: 0,
selectedkeywords: ['prom'],
sortby: 'frequency',
order: 'desc',
keywordsSearch: 'prom dresses'
})
};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"label": "Total",
"frequency": 50909
},
{
"label": "prom dresses near me",
"frequency": 19156
},
{
"label": "prom dresses",
"frequency": 6168
},
{
"label": "david's bridal prom dresses",
"frequency": 3642
},
{
"label": "davids bridal prom dresses",
"frequency": 1005
},
{
"label": "prom dresses nearby",
"frequency": 825
}
],
"totalKeywordCount": 734
}{
"code": 2457,
"message": "Invalid sortby value. Allowed values are 'frequency' or 'keyword'"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get Google Keywords Count
Get’s Google keywords count for an account. Google keyword: Top keywords searched for which your business is ranked.
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Account Business Number.
Body
Filter months for which keyword data is required
Gives you keyword count for the selected keywords. keywordsSearch: To search by keywords that may also exist in search phrases, including the keyword itself.
To search by keywords that may also exist in search phrases, including the keyword itself.
Specify number of records to return.
Index to start search from. Default value 0.
Possible values “frequency” or “keyword”.
Possible values “asc” or “desc”.
list of the unique business ids associated with a business.
Response
OK
Returns business/location name along with its keywords count.
Show child attributes
Show child attributes